Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class BaseDataSourceDesign

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseDataSourceDesign

All Implemented Interfaces:
  IBaseDataSourceDesign

Direct Known Subclasses:
  OdaDataSourceDesign, ScriptDataSourceDesign

    public class BaseDataSourceDesign

extends java.lang.Object
implements IBaseDataSourceDesign

Default implementation of `IBaseDataSourceDesign` interface.

Describes the static design of a data source (connection) to be used by the Data Engine. Each subclass defines a specific type of data source.

Constructor Summary
`BaseDataSourceDesign(java.lang.String name)` Constructor: Creates a data source with specified name

Method Summary
`java.lang.String` | `getAfterCloseScript()` Gets the `afterClose` script of the data source
`java.lang.String` | `getAfterOpenScript()` Gets the `afterOpen` script of the data source
`java.lang.String` | `getBeforeCloseScript()` Gets the `beforeClose` script of the data source
`java.lang.String` | `getBeforeOpenScript()` Gets the `beforeOpen`Script of the data source``
`IBaseDataSourceEventHandler` | `getEventHandler()` Gets the event handler for the data source
`java.lang.String` | `getName()` Gets the name of this data source
`void` | `setAfterCloseScript(java.lang.String script)` Specifies the `afterClose` script of the data source.
`void` | `setAfterOpenScript(java.lang.String script)` Sets the `afterOpen` script of the data source.
`void` | `setBeforeCloseScript(java.lang.String script)` Sets the `beforeClose` script of the data source.
`void` | `setBeforeOpenScript(java.lang.String script)` Sets the `beforeOpen` script of the data source.
`void` | `setEventHandler(IBaseDataSourceEventHandler handler)` Sets the event handler for this data source

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseDataSourceDesign

    public BaseDataSourceDesign(java.lang.String name)

  Constructor: Creates a data source with specified name

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this data source

  Specified by:
    `getName` in interface `IBaseDataSourceDesign`

### getBeforeOpenScript

    public java.lang.String getBeforeOpenScript()

  Gets the `beforeOpen`Script of the data source

  ``
  Specified by:
    `getBeforeOpenScript` in interface `IBaseDataSourceDesign`
  Returns:
    The `beforeOpen` script. Null if none is defined.

### setBeforeOpenScript

    public void setBeforeOpenScript(java.lang.String script)

  Sets the `beforeOpen` script of the data source.

### getAfterOpenScript

    public java.lang.String getAfterOpenScript()

  Gets the `afterOpen` script of the data source

  Specified by:
    `getAfterOpenScript` in interface `IBaseDataSourceDesign`
  Returns:
    The `afterOpen` script. Null if none is defined.

### setAfterOpenScript

    public void setAfterOpenScript(java.lang.String script)

  Sets the `afterOpen` script of the data source.

  Parameters:
    `script` - afterOpen script

### getBeforeCloseScript

    public java.lang.String getBeforeCloseScript()

  Gets the `beforeClose` script of the data source

  Specified by:
    `getBeforeCloseScript` in interface `IBaseDataSourceDesign`
  Returns:
    The `beforeClose` script. Null if none is defined.

### setBeforeCloseScript

    public void setBeforeCloseScript(java.lang.String script)

  Sets the `beforeClose` script of the data source.

### getAfterCloseScript

    public java.lang.String getAfterCloseScript()

  Gets the `afterClose` script of the data source

  Specified by:
    `getAfterCloseScript` in interface `IBaseDataSourceDesign`
  Returns:
    The `afterClose` script. Null if none is defined.

### setAfterCloseScript

    public void setAfterCloseScript(java.lang.String script)

  Specifies the `afterClose` script of the data source.

### getEventHandler

    public IBaseDataSourceEventHandler getEventHandler()

  Description copied from interface: `IBaseDataSourceDesign`
  Gets the event handler for the data source

  Specified by:
    `getEventHandler` in interface `IBaseDataSourceDesign`
  See Also:
    `IBaseDataSourceDesign.getEventHandler()`

### setEventHandler

    public void setEventHandler(IBaseDataSourceEventHandler handler)

  Sets the event handler for this data source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.